Subject: Re: kernel-package tar file unpacks into ./linux/

From: [email-masked]
Date: 4 Jun 1996 16:26:05 -0000

Manjoj Srivastava:
> 	I think that we have to evaluate the ease of use for people
> who know about the package, and unpack kernel sources elsewhere than
> in ./linux; and the infelicity of having the tar file leave droppings
> all over the current directory in case one unpacks it in the wrong
> directory (not having read the documentation, nor having investigated
> the archive).

Note that show of support is going to be biased toward people who have
a strong interest in the subject -- this tends to bias it away from
happy customers (who have gone off to do other things) or people who
have found other solutions (who have also gone off to do other
things).

Personally, I don't use the debian mechanisms for kernal source.  I
unpack kernels in /usr/local/src, and I write kernels to a region
outside the scope of debian.  The only overlap is that /lib/modules
holds kernel version specific files (including System.map and things
like ibcs).

I have a symlink from /usr/src/linux to /usr/local/src/linux, and most
of the time that works fine.  [The only problem comes if I work
quickly using a mechanism such as dselect or dpkg and happen to get
the debian kernel sources installed over top of what I have.]

Anyways, my point is: I've not been paying much attention to this
discussion, and hope that when it evenutally settles out that the
system design won't have drifted too much from the way it is now.

-- 
Raul